#include <iostream>
#include <vector>

#define ll long long

using namespace std;

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);

  int N, M;
  cin >> N >> M;

  vector<vector<ll>> A;
  vector<vector<ll>> Q;

  for(int i=0; i<N; i++) {
    vector<ll> t={};
    for(int j=0; j<2; j++) {
      ll a;
      cin >> a;
      t.push_back(a);
    }
    A.push_back(t);
  }
  for(int i=0; i<M; i++) {
    vector<ll> t={};
    for(int j=0; j<3; j++) {
      ll a;
      cin >> a;
      t.push_back(a);
    }
    Q.push_back(t);
  }

  
  int l, d, br;
  ll x;
  for(int i=0; i<M; i++) {
    l = Q[i][0];
    d = Q[i][1];
    x = Q[i][2];

    br=0;

    for(int j=l-1; j<=d-1; j++) {
      ll dg, gg;
      dg = A[j][0];
      gg = A[j][1];

      if (x >= dg && x <= gg)
        br++;
    }

    cout << br << endl;
  }

  return 0;
}